| Irrlicht 3D Engine |

Classes | Namespaces | Enumerations | Variables
SLight.h File Reference
`#include "SColor.h"`

Go to the source code of this file.

## Classes

- struct irr::video::SLight
    structure for holding data describing a dynamic point light. More...

## Namespaces

- namespace irr

    Everything in the Irrlicht Engine can be found in this namespace.

- namespace irr::video

    The video namespace contains classes for accessing the video driver. All 2d and 3d rendering is done here.

## Enumerations

- enum irr::video::E_LIGHT_TYPE { irr::video::ELT_POINT, irr::video::ELT_SPOT, irr::video::ELT_DIRECTIONAL, irr::video::ELT_COUNT }
    Enumeration for different types of lights. More...

## Variables

- const c8 *const irr::video::LightTypeNames []
    Names for light types.